Subject: Re: [PATCH v2 08/22] mtd: spi-nor: Rework write_enable/disable()

From: <[email-masked]>
Date: Thu, 24 Oct 2019 11:01:42 +0000

On 10/24/2019 09:04 AM, Boris Brezillon wrote:
> On Wed, 23 Oct 2019 23:39:31 +0000
> <[email-masked]> wrote:
> 
>> On 10/10/2019 10:21 AM, Boris Brezillon wrote:
>>> External E-Mail
>>>
>>>
>>> On Tue, 24 Sep 2019 07:46:18 +0000
>>> <[email-masked]> wrote:
>>>   
>>>> From: Tudor Ambarus <[email-masked]>
>>>>
>>>> static int write_enable(struct spi_nor *nor)
>>>> static int write_disable(struct spi_nor *nor)
>>>> become
>>>> static int spi_nor_write_enable(struct spi_nor *nor)
>>>> static int spi_nor_write_disable(struct spi_nor *nor)
>>>>
>>>> Check for errors after each call to them. Move them up in the
>>>> file as the first SPI NOR Register Operations, to avoid further
>>>> forward declarations.  
>>>
>>> Same here, split that in 3 patches please.  
> 
> In order to keep the number of patch in this series small, I'd
> recommend doing all spi_nor_ prefixing in a patch, all function
> moves in another one and all error checking in a third patch, instead of
> splitting it per-function.
> 

If I do all the functions movement in one patch, the git diff output becomes
unreadable. I'll split patches where needed, for readability purposes.
_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel